Page MenuHomePhabricator

[EPIC] Five teams sample their maintenance fraction and two teams track it throughout the quarter
Closed, ResolvedPublic

Description

  • Efforts from all initially participating teams documented and completed
  • Maintenance fraction data from at least five teams collected
      • data includes:
    • % data
    • methodology
    • definitions
  • Two teams committed to ongoing tracking (for quarter? for 2 quarters?)
  • Ongoing tracking teams report maintenance fraction data
    • covering (50% | 70 % | 85 % | 100 %) of all WMF work
  • Terms are defined.
    • My initial working definition
    • Terry's three categories
    • MPL definition
    • Agreement in mailing list, Terry/Lila, and within TPG on definitions
      • Pilot definition
      • Document all alternative definitions (inward/outward, new vs existing, scale until not doing it has impact)
      • Final definition

Event Timeline

JAufrecht raised the priority of this task from to Needs Triage.
JAufrecht updated the task description. (Show Details)
JAufrecht added a subscriber: JAufrecht.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2015, 9:41 PM

What projects is this supposed to be in?

JAufrecht updated the task description. (Show Details)May 22 2015, 8:58 PM
JAufrecht added a project: Team-Practices.
JAufrecht set Security to None.
ggellerman triaged this task as Low priority.May 28 2015, 6:46 PM
ggellerman moved this task from To Triage to General backlog on the Team-Practices board.
JAufrecht renamed this task from Mock up or design a query for forcing "Responsive vs long-term planned" evaluation to Work with more teams to start collecting Interrupt % data.Aug 6 2015, 7:28 PM
JAufrecht claimed this task.
JAufrecht raised the priority of this task from Low to Normal.
JAufrecht updated the task description. (Show Details)
JAufrecht edited projects, added Team-Practices (This-Week); removed Team-Practices.
JAufrecht moved this task from To Do to In Progress on the Team-Practices (This-Week) board.
greg added a subscriber: greg.Aug 10 2015, 9:12 PM
JAufrecht updated the task description. (Show Details)Aug 10 2015, 11:10 PM
JAufrecht updated the task description. (Show Details)Aug 10 2015, 11:13 PM
JAufrecht updated the task description. (Show Details)

This has has been deemed an epic for 'sploding into chunks that can be done in 1 week or less.

JAufrecht updated the task description. (Show Details)Aug 18 2015, 6:53 PM
JAufrecht updated the task description. (Show Details)Aug 21 2015, 6:06 PM
JAufrecht renamed this task from Work with more teams to start collecting Interrupt % data to Get some teams to pilot collecting Maintenance Fraction data.Aug 21 2015, 6:35 PM
JAufrecht updated the task description. (Show Details)

Three of six teams are measuring (plus VE). Of the teams not yet measuring:

Release Engineering - can't start for 1-2 more weeks
Fundraising Tech - Joel to talk to Kristen about next step
Reading Infrastructure - Joel to talk to David about next step

JAufrecht renamed this task from Get some teams to pilot collecting Maintenance Fraction data to [EPIC] Get some teams to pilot collecting Maintenance Fraction data.Sep 10 2015, 9:21 PM
JAufrecht edited projects, added Epic, Team-Practices; removed Team-Practices (This-Week).
greg added a comment.Sep 21 2015, 9:19 PM

FYI, I just did a search for tasks in the resolved state that have been updated since Sept 1st and assigned to members of the RelEng team and got:

As of right now, since Sept 1st:

  • 21 New
  • 67 Maint

aka: ~24% new work

Of course, usual caveats: untracked work abounds, all tasks are not created equal, etc etc :)

Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 19 2015, 10:04 PM

Not all child tasks are done, so this stays in TPG epics in progress column.

Not a restricted task

JAufrecht renamed this task from [EPIC] Get some teams to pilot collecting Maintenance Fraction data to [EPIC] Five teams sample their maintenance fraction and two teams track it throughout the quarter.Dec 6 2015, 3:54 AM
JAufrecht updated the task description. (Show Details)
JAufrecht added a project: Category.
Awjrichards raised the priority of this task from Normal to High.Dec 15 2015, 11:51 PM
JAufrecht removed JAufrecht as the assignee of this task.Dec 21 2015, 6:52 PM

Removing myself as owner because the overall goal belongs to TPG; I should probably just own specific, completable tasks within it.